An error occurred while loading the file. Please try again.
-
Henry authoredbc5134a5
#!/bin/sh
#------------------------------------------------------------------------------
# ========= |
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration |
# \\ / A nd | Copyright (C) 2011-2014 OpenFOAM Foundation
# \\/ M anipulation |
#-------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM.
#
# OpenFOAM is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenFOAM. If not, see <http://www.gnu.org/licenses/>.
#
# Script
# wmakeCheckPwd <dir>
#
# Description
# Check that the current working directory is the directory <dir>
#
#-------------------------------------------------------------------------------
Script=${0##*/}
unset quietOpt
usage() {
[ "$quietOpt" = true ] && exit 1
exec 1>&2
while [ "$#" -ge 1 ]; do echo "$1"; shift; done
cat<<USAGE
Usage: $Script [OPTION] dirName
options:
-q | -quiet suppress all normal output
Check that the current working directory is the directory <dir>
Exit status 0 when the directories are identical
Exit status 1 on error
USAGE
exit 1
}
#------------------------------------------------------------------------------
# Parse arguments and options
#------------------------------------------------------------------------------
while [ "$#" -gt 0 ]
do
case "$1" in
-h | -help)
usage
;;
-q | -quiet)
quietOpt=true
shift
;;
-*)
usage "unknown option: '$*'"
;;
*)
break
;;
esac
done
[ "$#" -eq 1 ] || usage
# Set dirName to <dir>
dirName="$1"
# Simple check against $PWD
[ "$PWD" = "$dirName" ] && exit 0
# Check existance of <dir>
[ -d "$dirName" ] || {
[ "$quietOpt" = true ] || {
echo "$Script error: Directory does not exist $dirName"
}
exit 1
}
# Use /bin/pwd to get the absolute path (could be linked)
thisDir=$(/bin/pwd)
target=$(cd $dirName 2>/dev/null && /bin/pwd)
# Return 0 if this directory is <dir>
[ "$thisDir" = "$target" ] && exit 0
# This directory is not <dir>
[ "$quietOpt" = true ] || {
echo "$Script error: Current directory is not $dirName"
}
exit 1
#------------------------------------------------------------------------------
# Cleanup local variables and functions
#------------------------------------------------------------------------------
unset Script usage
#------------------------------------------------------------------------------